#ifndef JES_FONTMANAGER_H
#define JES_FONTMANAGER_H

#include "jes/Ref.h"
#include "Font.h"
#include <ft2build.h>
#include FT_FREETYPE_H

namespace jes
{
    class FontManager
    {
    public:
        bool load();
        FontRef load_font(const char * fname, size_t size);
        FontRef get_mono_font() { return m_mono_font; }
    protected:
        FT_Library m_ft;
        FontRef m_mono_font;
    };

    typedef Ref<FontManager> FontManagerRef;
}

#endif
